summaryrefslogtreecommitdiffstats
path: root/network/madwifi-driver
diff options
context:
space:
mode:
author hollywoodb <hollywoodb@fastmail.fm>2010-05-11 15:01:30 +0200
committer Eric Hameleers <alien@slackbuilds.org>2010-05-11 15:01:30 +0200
commit338430e9a7aa688c127a699dd0f1de2944d2ce9f (patch)
tree77380d68e7d2963c8dc5b2916426f3acb10c7e95 /network/madwifi-driver
parent6a2e7cb0c583c0ad634890fc732589f747ac400f (diff)
downloadslackbuilds-338430e9a7aa688c127a699dd0f1de2944d2ce9f.tar.gz
slackbuilds-338430e9a7aa688c127a699dd0f1de2944d2ce9f.tar.xz
network/madwifi-driver: Initial import
Diffstat (limited to 'network/madwifi-driver')
-rw-r--r--network/madwifi-driver/README52
-rw-r--r--network/madwifi-driver/madwifi-driver.SlackBuild58
-rw-r--r--network/madwifi-driver/madwifi-driver.info8
-rw-r--r--network/madwifi-driver/slack-desc.driver7
4 files changed, 125 insertions, 0 deletions
diff --git a/network/madwifi-driver/README b/network/madwifi-driver/README
new file mode 100644
index 0000000000..b1ce2d9bc2
--- /dev/null
+++ b/network/madwifi-driver/README
@@ -0,0 +1,52 @@
+madwifi - a Linux kernel device driver for Wireless LAN chipsets from Atheros.
+
+A wireless card compatibility matrix is available at:
+http://madwifi.org/wiki/Compatibility
+
+By default the script will build the madwifi kernel module for the currently
+running kernel. If you would like to build the madwifi driver for a different
+kernel version, two things are required:
+ 1) kernel source in /usr/src/linux-<version>
+ 2) run the script as: KERNELVERSION=<version> sh madwifi-driver.SlackBuild
+In place of <version> use only the version, not the full path. The <version>
+string from 1) and 2) must be identical.
+ Examples: KERNELVERSION=2.4.33.3 or KERNELVERSION=2.6.18
+The kernel module will then be installed to /lib/modules/<version>/....
+You may use this SlackBuild to build the madwifi module for as many *different*
+kernels as you like and they can be installed alongside each other without
+conflict.
+
+NOTE: MadWifi 0.9.2.1 and earlier do NOT compile against kernel 2.6.19 and
+ higher. MadWifi 0.9.3 will address this issue. SlackBuilds for
+ madwifi-tools and madwifi-driver will be updated when 0.9.3 is
+ released.
+
+Requirements:
+
+Kernel requirements:
+ Linux Kernel 2.4.23+ or 2.6.x series
+ Kernel source and headers of running kernel
+
+ No module versioning support
+ option CONFIG_MODVERSIONS
+ Wireless Extensions support in kernel
+ v14+ required, v17+ recommended; option CONFIG_NET_RADIO
+ Sysctl support in kernel
+ option CONFIG_SYSCTL
+ Crypto API support in kernel
+ option CONFIG_CRYPTO
+ HMAC support
+ option CONFIG_CRYPTO_HMAC
+ AES support (for WPA networks)
+ option CONFIG_CRYPTO_AES
+
+Requirements for configuring the wireless card:
+ madwifi-tools -- suite of tools designed specifically for madwifi-supported cards
+ iwconfig -- part of "wireless-tools" package in /n for Slackware 11.0
+ wpa_supplicant -- for WPA encrypted networks.
+ -- Available in /testing for Slackware 11.0
+
+NOTE: You can place the SlackBuild and slack-desc.{tools,driver} files
+ in the same directory without conflicts, and then you only have to
+ keep one copy of the madwifi source code around...
+
diff --git a/network/madwifi-driver/madwifi-driver.SlackBuild b/network/madwifi-driver/madwifi-driver.SlackBuild
new file mode 100644
index 0000000000..9a729fd5d9
--- /dev/null
+++ b/network/madwifi-driver/madwifi-driver.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+## Slackware build script for madwifi-driver
+
+## Written by hollywoodb (hollywoodb@fastmail.fm)
+## Modified by the SlackBuilds.org project
+
+## Feel free to use, modify, redistribute this script.
+## If you make changes please modify the "Written by"
+## so that I don't recieve emails about a script I
+## did not write. Thanks.
+
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit
+fi
+
+KERNELVERSION=${KERNELVERSION:-`uname -r`}
+KERNELPATH=${KERNELPATH:-/lib/modules/${KERNELVERSION}/build}
+
+NAME=madwifi
+VERSION=0.9.2.1
+ARCHIVE=tar.bz2
+PKG_NAME=madwifi-driver
+PKG_VERS=$VERSION\_$KERNELVERSION
+
+ARCH=${ARCH:-i486}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$NAME}
+OUTPUT=${OUTPUT:-/tmp}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $NAME-$VERSION
+tar jxvf $CWD/$NAME-$VERSION.$ARCHIVE || exit 1
+cd $NAME-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+KERNELPATH=$KERNELPATH KERNELRELEASE=$KERNELVERSION make modules || exit 1
+KERNELPATH=$KERNELPATH KERNELRELEASE=$KERNELVERSION make install-modules DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PKG_NAME-$PKG_VERS
+cp -a COPYRIGHT $PKG/usr/doc/$PKG_NAME-$PKG_VERS
+cp -a hal/COPYRIGHT $PKG/usr/doc/$PKG_NAME-$PKG_VERS/COPYRIGHT.hal
+cp -a hal/README $PKG/usr/doc/$PKG_NAME-$PKG_VERS/README.hal
+cat $CWD/$PKG_NAME.SlackBuild > $PKG/usr/doc/$PKG_NAME-$PKG_VERS/$PKG_NAME.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc.driver > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PKG_NAME-$PKG_VERS-$ARCH-$BUILD$TAG.tgz
diff --git a/network/madwifi-driver/madwifi-driver.info b/network/madwifi-driver/madwifi-driver.info
new file mode 100644
index 0000000000..9ffddc2f9d
--- /dev/null
+++ b/network/madwifi-driver/madwifi-driver.info
@@ -0,0 +1,8 @@
+PRGNAM="madwifi-driver"
+VERSION="0.9.2.1"
+HOMEPAGE="http://madwifi.org/"
+DOWNLOAD="http://dl.sourceforge.net/madwifi/madwifi-0.9.2.1.tar.bz2"
+MD5SUM="bf5509fccd3852e22551826063b1b61e"
+MAINTAINER="hollywoodb"
+EMAIL="hollywoodb@fastmail.fm"
+APPROVED="alien,robw810"
diff --git a/network/madwifi-driver/slack-desc.driver b/network/madwifi-driver/slack-desc.driver
new file mode 100644
index 0000000000..1fbdb2121c
--- /dev/null
+++ b/network/madwifi-driver/slack-desc.driver
@@ -0,0 +1,7 @@
+ |-----handy-ruler--------------------------------------------------------|
+madwifi-driver: madwifi-driver (kernel module for the madwifi wireless NIC driver)
+madwifi-driver:
+madwifi-driver: This package includes the madwifi kernel module part of the madwifi
+madwifi-driver: driver for Atheros chipsets. The madwifi tools must be built
+madwifi-driver: seperately.
+madwifi-driver: